import React from 'react';
declare type Props = {
    onError?: (error: Error | null) => void;
};
declare class ErrorBoundary extends React.Component<Props, {
    error: Error | null;
}> {
    constructor(props: Props);
    static getDerivedStateFromError(error: Error): {
        error: Error;
    };
    componentDidMount(): void;
    componentDidCatch(error: Error): void;
    render(): React.ReactNode;
}
export default ErrorBoundary;
